Bug 137081 - KGpg fails to decrypt a file in smb share in konqueror
KGpg fails to decrypt a file in smb share in konqueror
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-25 14:04 EDT by Terry
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:54:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Terry 2004-10-25 14:04:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I added a folder in konqueror that points to an SMB share.  I right
clicked on an ecrypted file and hit Kgpg to decrypt the file.  It
works if I first copy the file to a local folder and then decrypt it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up an SMB share in konqueror
2. Right click on encrypted file
3. Choose KGpg
4. I get a message saying that it must copy the remote file to a local
tmp directory first.
5. Notice the failure


Actual Results:  Can't find the file with this error:

gpg: can't open `/directory/another_directory/file.pgp'
gpg: decrypt_message failed: file open error


Expected Results:  Decrypt the file.

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:49:44 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 10:54:48 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.